Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.eci.repository.helper
Class RepositoryFolderInfo

    java.lang.Object
      |
      +--com.bea.eci.repository.helper.RepositoryFolderInfo

public class RepositoryFolderInfo
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

A class used to represent a folder in the repository. This class only represents a repository folder (specifically, an `com.bea.eci.repository.ObjectFolder`) and does not affect the repository (i.e. creating a RepositoryFolderInfo object does not result in a new folder in the repository).

Objects of this class override the `boolean equals(Object)` and implement the `comparable` interface. Homogeneous collections containing objects of this class may, therefore, be searched and sorted using the `Collection.contains(Object), List.indexOf(Object), Collections.sort(List)` methods.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RepositoryFolderInfo(java.lang.String type, java.lang.String name, java.lang.String desc, java.lang.String notes)` Creates a new representation of a repository folder.

Method Summary
`int` | `compareTo(java.lang.Object obj)` Determines if this RepositoryFolderInfo object is equal, less than, or greater than the passed in RepositoryFolderInfo object.
`boolean` | `equals(java.lang.Object obj)` Determines if two RepositoryFolderInfo objects are equal.
`java.sql.Timestamp` | `getCreatedOn()` Get when the folder was created.
`java.lang.String` | `getDescription()` Get the description of the repository object.
`java.sql.Timestamp` | `getLastModifiedOn()` Get when the folder was last updated.
`java.lang.String` | `getName()` Get the name of the repository object.
`java.lang.String` | `getNotes()` Get the notes associated with the repository folder.
`java.lang.String` | `getType()` Get the type of the repository object.
`void` | `setName(java.lang.String name)` Set the name of the repository object.
`java.lang.String` | `toString()` Return the name of the repository folder represented by this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryFolderInfo

    public RepositoryFolderInfo(java.lang.String type,
                                java.lang.String name,
                                java.lang.String desc,
                                java.lang.String notes)

  Creates a new representation of a repository folder.

  Parameters:
    `type` - a String containing the type of the folder. This is the name of the class of the repository folder. The repository class types are mapped as class variables in `com.bea.repository.helper.Types`.
    `name` - a `String` containing the name of the folder, which must be unique for all folders of the specified type.
    `desc` - a `String` containing an optional description of the folder, may be `null`.
    `notes` - a `String` containing optional notes about the folder, may be `null`.

Method Detail

### getType

    public java.lang.String getType()

  Get the type of the repository object.

  Returns:
    a `String` containing the type of the folder.

### getName

    public java.lang.String getName()

  Get the name of the repository object.

  Returns:
    a `String` containing the name of the folder.

### setName

    public void setName(java.lang.String name)

  Set the name of the repository object.

  Parameters:
    `name` - a `String` containing the name of the folder.

### getDescription

    public java.lang.String getDescription()

  Get the description of the repository object.

  Returns:
    a `String` containing the desciption of the folder, may be `null`.

### getNotes

    public java.lang.String getNotes()

  Get the notes associated with the repository folder.

  Returns:
    a `String` containing notes about the folder, may be `null`.

### getCreatedOn

    public java.sql.Timestamp getCreatedOn()

  Get when the folder was created.

  Returns:
    a `java.sql.Timestamp` of when the folder was created.

### getLastModifiedOn

    public java.sql.Timestamp getLastModifiedOn()

  Get when the folder was last updated.

  Returns:
    a `java.sql.Timestamp` of when the folder was last updated.

### toString

    public java.lang.String toString()

  Return the name of the repository folder represented by this object.

  Returns:
    a `String` containing the name of the folder.
  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Determines if two RepositoryFolderInfo objects are equal. The objects are compared by the following fileds: type, name, major version, and minor version.

  Parameters:
    `obj` - the RepositoryFolderInfo object being compared to this one.
  Returns:
    `true` if the objects are the same, `false` if they are not.
  Overrides:
    equals in class java.lang.Object

### compareTo

    public int compareTo(java.lang.Object obj)

  Determines if this RepositoryFolderInfo object is equal, less than, or greater than the passed in RepositoryFolderInfo object. Objects are compared on four fileds: type, name, major version, and minor version, in that order.
  Specified by:
    compareTo in interface java.lang.Comparable

  Parameters:
    `obj` - the RepositoryFolderInfo object that this RepositoryFolderInfo object is compared to.
  Returns:
    less than zero if this object is less than the passed in object, zero if this object and the passed in object are the same, greater than zero if this object is greater than the passed in object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)